#pragma once
#include "PosSceneEntity.h"
#include "Model.h"

typedef map<Model*,D3DXMATRIX> ModelMap;

class SceneEntity : public PosSceneEntity
{
	private:
	string name;
	D3DXMATRIX entityTransform;
	ModelMap models;
	public:
	void setName(string name);
	string getName();
	void setTransformation(float* transform);
	void addModel(PosModel* model,float* transform);
	void render(Effect* effect, ID3D10EffectPass* pass);
	void createVBOs(ID3D10Effect* effect);
	D3DXMATRIX getTransformation();
	~SceneEntity();
};
